Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.measures
Class AverageMeasureGroup

    java.lang.Object
      mro.util.measures.Measure
          mro.util.measures.AverageMeasure
              mro.util.measures.AverageMeasureGroup

    public class AverageMeasureGroup

extends AverageMeasure

A group of AverageMeasure:s for the purpose of calcuation.

Field Summary
`(package private) java.util.Vector<AverageMeasure>` | `averageMeasureVector` The vector of AverageMeasure:s.

Fields inherited from class mro.util.measures.AverageMeasure
`measureVector, std`

Fields inherited from class mro.util.measures.Measure
`description, iogrelative, name, roundFloatToNumOfDecimals, roundValue, stamp, value`

Constructor Summary
`AverageMeasureGroup(AverageMeasureGroup am2)` Copy Constructor.
`AverageMeasureGroup(java.lang.String name, java.lang.String description)`

Method Summary
`boolean` | `addAverageMeasure(AverageMeasure am)`
`void` | `addAverageMeasureVector(java.util.Vector<AverageMeasure> vec)` Copies the AverageMeasure:s.
`private void` | `calculate()` Really slow.
`AverageMeasureGroup` | `divide(AverageMeasureGroup other)`
`protected java.util.Vector<AverageMeasure>` | `getAverageMeasureVector()`
`double` | `getSTD()`
`double` | `getValue()`
`void` | `print()`
`void` | `printXML(java.io.PrintWriter pw)`
`protected void` | `sortAllMeasureVectorsInStampOrder()`
`AverageMeasureGroup` | `subtract(AverageMeasureGroup other)`

Methods inherited from class mro.util.measures.AverageMeasure
`addMeasure, difference, divide, normDifference, sortMeasureVectorInStampOrder, subtract`

Methods inherited from class mro.util.measures.Measure
`difference, divide, getDescription, getName, getRelativeIObjectGroup, getStamp, normDifference, setDescription, setStamp, setValue, subtract`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### averageMeasureVector

    java.util.Vector<AverageMeasure> averageMeasureVector

  The vector of AverageMeasure:s.

Constructor Detail

### AverageMeasureGroup

    public AverageMeasureGroup(java.lang.String name,
                               java.lang.String description)

### AverageMeasureGroup

    public AverageMeasureGroup(AverageMeasureGroup am2)

  Copy Constructor. Deep (the measure vectors is duplicated with new Measure:s).

Method Detail

### getAverageMeasureVector

    protected java.util.Vector<AverageMeasure> getAverageMeasureVector()

### addAverageMeasureVector

    public void addAverageMeasureVector(java.util.Vector<AverageMeasure> vec)

  Copies the AverageMeasure:s.

### addAverageMeasure

    public boolean addAverageMeasure(AverageMeasure am)

### sortAllMeasureVectorsInStampOrder

    protected void sortAllMeasureVectorsInStampOrder()

### subtract

    public AverageMeasureGroup subtract(AverageMeasureGroup other)

### divide

    public AverageMeasureGroup divide(AverageMeasureGroup other)

### calculate

    private void calculate()

  Really slow.

### getValue

    public double getValue()

  Overrides:
    `getValue` in class `AverageMeasure`

### getSTD

    public double getSTD()

  Overrides:
    `getSTD` in class `AverageMeasure`

### print

    public void print()

  Overrides:
    `print` in class `AverageMeasure`

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Overrides:
    `printXML` in class `AverageMeasure`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD